Subject: Re: CAP BEEP profile

From: "Preston Stephenson" <[email-masked]>
Date: Mon, 01 Mar 2004 05:57:47 -0700

Just one more comment.

In section 2.4 of the BEEP spec (RFC 3080) it says:
   When a BEEP session is established, each BEEP peer signifies its
   availability by immediately sending a positive reply with a message
   number of zero on channel zero that contains a "greeting" element,
   e.g.,

       L: <wait for incoming connection>
       I: <open connection>
       L: RPY 0 0 . 0 110
       L: Content-Type: application/beep+xml
       L:
       L: <greeting>
       L:    <profile uri='http://iana.org/beep/TLS' />
       L: </greeting>
       L: END
       I: RPY 0 0 . 0 52
       I: Content-Type: application/beep+xml
       I:
       I: <greeting />
       I: END

   Alternatively, if the BEEP peer acting in the listening role is
   unavailable, it sends a negative reply, e.g.,

       L: <wait for incoming connection>
       I: <open connection>
       L: ERR 0 0 . 0 60
       L: Content-Type: application/beep+xml
       L:
       L: <error code='421' />
       L: END
       I: RPY 0 0 . 0 52
       I: Content-Type: application/beep+xml
       I:
       I: <greeting />
       I: END
       I: <close connection>
       L: <close connection>
       L: <wait for next connection>

   and the "greeting" element sent by the BEEP peer acting in the
   initiating role is ignored.  It is recommended that a diagnostic
   entry be logged by both BEEP peers.

It that section it says the the server ("Listerner") ignores the
greeting sent be the client ("Initiator"). Am I missing something?

Thanks.
Preston

---

From: Doug Royer <[email-masked]>
Date: Mon, 01 Mar 2004 17:59:42 -0700

>greeting sent be the client ("Initiator"). Am I missing something?

I read that to mean:

If the Listerner sends any error and not the <greeting>, then drop the 
connection
resulting in the Initiators <greeting> being ignored. It is not a valid 
connection
unless both sides send a <greeting>.

-- 

Doug Royer                     |   http://INET-Consulting.com
-------------------------------|-----------------------------
[email-masked]                 | Office: (208)520-4044
http://Royer.com/People/Doug   | Fax:    (866)594-8574
                               | Cell:   (208)520-4044

              We Do Standards - You Need Standards